Get team detection statistics
curl --request POST \
--url https://api.wirespeed.co/v1/team/statistics/detections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "<string>",
"endDate": "<string>",
"days": 123
}
'import requests
url = "https://api.wirespeed.co/v1/team/statistics/detections"
payload = {
"startDate": "<string>",
"endDate": "<string>",
"days": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({startDate: '<string>', endDate: '<string>', days: 123})
};
fetch('https://api.wirespeed.co/v1/team/statistics/detections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wirespeed.co/v1/team/statistics/detections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'startDate' => '<string>',
'endDate' => '<string>',
'days' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.wirespeed.co/v1/team/statistics/detections"
payload := strings.NewReader("{\n \"startDate\": \"<string>\",\n \"endDate\": \"<string>\",\n \"days\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.wirespeed.co/v1/team/statistics/detections")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"startDate\": \"<string>\",\n \"endDate\": \"<string>\",\n \"days\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.wirespeed.co/v1/team/statistics/detections")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"startDate\": \"<string>\",\n \"endDate\": \"<string>\",\n \"days\": 123\n}"
response = http.request(request)
puts response.read_body{
"totalDetections": 123,
"historicDetections": 123,
"escalatedDetections": 123,
"containmentDetections": 123,
"chatOpsDetections": 123,
"automaticallyClosed": 123,
"potentialChatOpsDetections": 123,
"potentialContainmentDetections": 123,
"potentialEscalatedDetections": 123,
"verdictedMalicious": 123,
"confirmedMalicious": 123,
"truePositiveDetections": 123,
"falsePositiveDetections": 123
}{
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"params": {},
"validationErrors": [
{
"property": "<string>",
"constraint": "<string>",
"params": {},
"code": "<string>"
}
]
}Team
Get team detection statistics
POST
/
v1
/
team
/
statistics
/
detections
Get team detection statistics
curl --request POST \
--url https://api.wirespeed.co/v1/team/statistics/detections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "<string>",
"endDate": "<string>",
"days": 123
}
'import requests
url = "https://api.wirespeed.co/v1/team/statistics/detections"
payload = {
"startDate": "<string>",
"endDate": "<string>",
"days": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({startDate: '<string>', endDate: '<string>', days: 123})
};
fetch('https://api.wirespeed.co/v1/team/statistics/detections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wirespeed.co/v1/team/statistics/detections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'startDate' => '<string>',
'endDate' => '<string>',
'days' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.wirespeed.co/v1/team/statistics/detections"
payload := strings.NewReader("{\n \"startDate\": \"<string>\",\n \"endDate\": \"<string>\",\n \"days\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.wirespeed.co/v1/team/statistics/detections")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"startDate\": \"<string>\",\n \"endDate\": \"<string>\",\n \"days\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.wirespeed.co/v1/team/statistics/detections")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"startDate\": \"<string>\",\n \"endDate\": \"<string>\",\n \"days\": 123\n}"
response = http.request(request)
puts response.read_body{
"totalDetections": 123,
"historicDetections": 123,
"escalatedDetections": 123,
"containmentDetections": 123,
"chatOpsDetections": 123,
"automaticallyClosed": 123,
"potentialChatOpsDetections": 123,
"potentialContainmentDetections": 123,
"potentialEscalatedDetections": 123,
"verdictedMalicious": 123,
"confirmedMalicious": 123,
"truePositiveDetections": 123,
"falsePositiveDetections": 123
}{
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"params": {},
"validationErrors": [
{
"property": "<string>",
"constraint": "<string>",
"params": {},
"code": "<string>"
}
]
}Authorizations
Team API key sent as a Bearer token. Create a key in Wirespeed under Settings → Team. See https://docs.wirespeed.co/api-reference/authentication.
Body
application/json
Response
Total number of detections
Number of historic detections
Number of detections that were escalated
Number of detections that resulted in containment
Number of detections handled via chat operations
Number of detections automatically closed
Number of detections that could potentially use chat operations
Number of detections that could potentially be contained
Number of detections that could potentially be escalated
Number of detections with malicious verdict
Number of detections confirmed as malicious
Number of true positive detections
Number of false positive detections

